You are not logged in.

#1 2018-12-29 15:15

chris_elvidge
Member
Registered: 2016-05-15
Posts: 17

q4os-3.4-x64.r4.iso

Just tried (twice) to install above to VBox VDI. No desktop. Message: Could not start process Unable to create io-slave: tdelauncher said:

Downloaded VBox utilities. Restart just said "No bootable disk"

Eventually found installer in menu (Applications/Programs/Accessories/System) - perhaps this should be noted in "Install Q4OS" tutorial.

Install went OK - desktop icons now available.

Offline

#2 2018-12-29 15:53

chris_elvidge
Member
Registered: 2016-05-15
Posts: 17

Re: q4os-3.4-x64.r4.iso

Further info: Desktop profiler exits Error 60:

LOG:

Checking Q4OS Desktop ...
Checking SW database ...
Locking SW database ...
Checking Internet ...
Testing SW database ...
Reading package lists... 100%
Reading package lists... Done
Building dependency tree
Reading state information... 0%
Reading state information... Done
Update SW database ...
0% [Working]
Hit:1 http://ftp.debian.org/debian buster InRelease
Hit:2 http://security.debian.org/debian-security buster/updates InRelease
0% [Waiting for headers] [Waiting for headers]
0% [1 InRelease gpgv 154 kB] [Waiting for headers] [Waiting for headers]
Hit:3 http://q4os.org/q4repo q4os-3-0-cn InRelease
Hit:4 http://ftp.debian.org/debian buster-updates InRelease
0% [1 InRelease gpgv 154 kB] [Waiting for headers]
Hit:5 http://q4os.org/qtderepo buster InRelease
0% [1 InRelease gpgv 154 kB]
0% [Working]
0% [2 InRelease gpgv 38.3 kB]
0% [Working]
0% [3 InRelease gpgv 4,617 B]
0% [Working]
0% [4 InRelease gpgv 47.6 kB]
0% [Working]
0% [5 InRelease gpgv 2,489 B]
20% [Working]
Reading package lists... 98%
Reading package lists... Done
Filtering packages out ...
Simulation ...
Reading package lists... 100%
Reading package lists... Done
Building dependency tree
Reading state information... 0%
Reading state information... Done
q4os-wallpapers is already the newest version (3.1.1-a1).
q4os-wallpapers set to manually installed.
kamera-trinity is already the newest version (4:14.0.6~pre7-0debian10.0.0+0~a).
kamera-trinity set to manually installed.
kcalc-trinity is already the newest version (4:14.0.6~pre3-0debian10.0.0+0~a).
libarts1-akode-trinity is already the newest version (4:14.0.6~pre1-0debian10.0.0+0~a).
libarts1-akode-trinity set to manually installed.
alsa-utils is already the newest version (1.1.7-1).
bzip2 is already the newest version (1.0.6-9).
console-setup is already the newest version (1.187).
libcrystalhd3 is already the newest version (1:0.0~git20110715.fdd2f19-13).
dosfstools is already the newest version (4.1-2).
eject is already the newest version (2.1.5+deb1+cvs20081104-13.2).
exfat-utils is already the newest version (1.3.0-1).
libfaad2 is already the newest version (2.8.8-1).
ffmpeg is already the newest version (7:4.0.3-1).
gdisk is already the newest version (1.0.3-1.1).
gstreamer1.0-libav is already the newest version (1.15.0.1+git20180723+db823502-2).
gstreamer1.0-plugins-base is already the newest version (1.14.4-1).
gstreamer1.0-plugins-ugly is already the newest version (1.14.4-1).
gtk2-engines is already the newest version (1:2.20.2-5).
iproute2 is already the newest version (4.18.0-2).
kbd is already the newest version (2.0.4-4).
libmp3lame0 is already the newest version (3.100-2+b1).
libaacs0 is already the newest version (0.9.0-2).
libao4 is already the newest version (1.2.2+20180113-1).
libbluray2 is already the newest version (1:1.0.2-3).
libdvdnav4 is already the newest version (6.0.0-1).
libdvdread4 is already the newest version (6.0.0-1).
va-driver-all is already the newest version (2.3.0-2).
libvdpau-va-gl1 is already the newest version (0.4.2-1+b1).
linux-headers-amd64 is already the newest version (4.19+101).
mesa-va-drivers is already the newest version (18.2.7-2).
mesa-vdpau-drivers is already the newest version (18.2.7-2).
mesa-vdpau-drivers set to manually installed.
libmp4v2-2 is already the newest version (2.0.0~dfsg0-6).
ntfs-3g is already the newest version (1:2017.3.23-2).
libopencore-amrnb0 is already the newest version (0.1.3-2.1+b2).
libopencore-amrwb0 is already the newest version (0.1.3-2.1+b2).
pulseaudio is already the newest version (12.2-2).
pulseaudio set to manually installed.
rsync is already the newest version (3.1.2-2.2).
twolame is already the newest version (0.3.13-4).
udisks2 is already the newest version (2.8.1-3).
unzip is already the newest version (6.0-21).
vdpauinfo is already the newest version (1.0-3).
zip is already the newest version (3.0-11+b1).
libfaac0 is already the newest version (1.29.9.2-2).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
hplip : Depends: libhpmud0 (= 3.18.12+dfsg0-2) but it is not going to be installed
Depends: libsane-hpaio (= 3.18.12+dfsg0-2) but it is not going to be installed
Depends: printer-driver-hpcups (= 3.18.12+dfsg0-2) but it is not going to be installed
Depends: libsane (>= 1.0.24) but it is not going to be installed
Depends: libsnmp30 (>= 5.7.3+dfsg-4+b1~dfsg) but it is not going to be installed
Recommends: sane-utils but it is not going to be installed
ksensors-trinity : Depends: lm-sensors but it is not going to be installed
Unable to correct problems, you have held broken packages.
Error: Simulation not successful.
Please reboot as soon as possible.

ENDLOG

And yes, I have done apt-get update && apt-get dist-upgrade
Also apt-get autoremove --purge
And rebooted (twice).

As an aside, shouldn't apt-get update && apt-get dist-upgrade be part of the installation process?

Offline

#3 2018-12-30 11:08

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 2,507
Website

Re: q4os-3.4-x64.r4.iso

Yes, we can confirm a broken dependencies in Q4OS Centaurus testing, a solution is underway.

Offline

#4 2019-01-02 23:39

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 2,507
Website

Re: q4os-3.4-x64.r4.iso

Offline

Board footer

Powered by FluxBB